summaryrefslogtreecommitdiff
path: root/eclass/argent-artwork.eclass
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2015-06-30 10:14:23 +0300
committerBlackNoxis <steven.darklight@gmail.com>2015-06-30 10:14:23 +0300
commit626d521b45da83a8b9a8af65349d9544ae644081 (patch)
treee6802cf89d75d06c61be0b291c9341c8bcc81780 /eclass/argent-artwork.eclass
parent567d268a8caa290a53ae84ff896c22bbf54e5a05 (diff)
[linux-live-brrc] added linux live kernel image
Diffstat (limited to 'eclass/argent-artwork.eclass')
-rw-r--r--eclass/argent-artwork.eclass60
1 files changed, 60 insertions, 0 deletions
diff --git a/eclass/argent-artwork.eclass b/eclass/argent-artwork.eclass
new file mode 100644
index 00000000..f430903a
--- /dev/null
+++ b/eclass/argent-artwork.eclass
@@ -0,0 +1,60 @@
+# Copyright 2004-2009 Sabayon Project
+# Distributed under the terms of the GNU General Public License v2
+# $
+
+inherit eutils
+
+# @ECLASS-VARIABLE: KERN_INITRAMFS_SEARCH_NAME
+# @DESCRIPTION:
+# Argument used by `find` to search inside ${ROOT}boot Linux
+# Kernel initramfs files to patch
+KERN_INITRAMFS_SEARCH_NAME="${KERN_INITRAMFS_SEARCH_NAME:-initramfs-genkernel*}"
+
+# @ECLASS-VARIABLE: GFX_SPLASH_NAME
+# @DESCRIPTION:
+# Default splash theme name to use
+GFX_SPLASH_NAME="${GFX_SPLASH_NAME:-argent}"
+
+# @ECLASS-VARIABLE: PLYMOUTH_THEME
+# @DESCRIPTION:
+# Default plymouth theme name to use
+PLYMOUTH_THEME="${PLYMOUTH_THEME:-argent}"
+
+# @FUNCTION: update_kernel_initramfs_splash
+# @USAGE: update_kernel_initramfs_splash [splash_theme] [splash_file]
+# @RETURN: 1, if something went wrong
+#
+# @MAINTAINER:
+# Fabio Erculiani
+update_kernel_initramfs_splash() {
+
+ [[ -z "${2}" ]] && die "wrong update_kernel_splash arguments"
+
+ if ! has_version "media-gfx/splashutils"; then
+ ewarn "media-gfx/splashutils not found, cannot update kernel splash"
+ return 1
+ fi
+ splash_geninitramfs -a "${2}" ${1}
+ return ${?}
+
+}
+
+# @FUNCTION: update_argent_kernel_initramfs_splash
+# @USAGE: update_argent_kernel_initramfs_splash
+#
+# @MAINTAINER:
+# Fabio Erculiani
+update_argent_kernel_initramfs_splash() {
+ local splash_name="${GFX_SPLASH_NAME}"
+ local override_splash_file="${ROOT}etc/oem/splash_name"
+ if [ -f "${override_splash_file}" ]; then
+ found_splash_name=$(cat "${override_splash_file}" | cut -d" " -f 1)
+ if [ -d "/etc/splash/${found_splash_name}" ]; then
+ splash_name="${found_splash_name}"
+ fi
+ fi
+ for bootfile in `find ${ROOT}boot -name "${KERN_INITRAMFS_SEARCH_NAME}"`; do
+ einfo "Updating boot splash for ${bootfile}"
+ update_kernel_initramfs_splash "${GFX_SPLASH_NAME}" "${bootfile}"
+ done
+}